
def log_exception_with_sentry(error_message):
    from sentry import Client
    from sentry import Hub
    from sentry import capture_exception
    from sentry import set_user

    # Initialize Sentry client
    client = Client(dsn='your_sentry_dsn')

    # Set user information
    set_user(id='user_id', email='user@example.com', username='username')

    # Capture the exception with the provided error message
    with Hub() as hub:
        hub.bind_client(client)
        capture_exception(message=error_message)




